import Vue from 'vue'
import VueRouter from 'vue-router'
import Vuex from 'vuex'
import App from './App.vue'
import createStore from './store' // Vuex
import createRouter from './router/router'
import axiosServer from './request'
import UsePlugin from './public/plugins'
import utils from 'utils'
// 引入css
import '../static/styles/reset.css'
import './public/utils/refreshSize'
Vue.use(Vuex)
Vue.use(VueRouter)
Vue.use(axiosServer)
Vue.use(UsePlugin)

const router = createRouter() // 创建router
const store = createStore() // 创建Vuex

// 监听窗口缩放事件
const winResizeFn = utils.throttle(function () {
    const innerWH = {
        innerWidth: window.innerWidth,
        innerHeight: window.innerHeight
    }

    store.dispatch('setInnerWH', innerWH)
})

window.addEventListener('resize', winResizeFn)

new Vue({
    el: '#app',
    router,
    store,
    axiosServer,
    UsePlugin,
    template: '<App/>',
    components: { App }
})
